Bug 1254836 - X (Wayland) lockup when starting Chrome
X (Wayland) lockup when starting Chrome
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 21:52 EDT by David Dillow
Modified: 2017-12-12 05:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:04:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from failed start of Chrome (217.71 KB, text/plain)
2015-08-18 21:52 EDT, David Dillow
no flags Details
Updated dmesg from kernel-4.1.5-200.fc22.x86_64 (73.32 KB, text/plain)
2015-08-20 23:37 EDT, David Dillow
no flags Details
Updated dmesg from kernel-4.1.6-200.fc22.x86_64 (71.51 KB, text/plain)
2015-08-27 00:08 EDT, David Dillow
no flags Details
dmesg from kernel-4.1.6-201.fc22.x86_64, pre-10.6.3-2.20150729 mesa (72.78 KB, text/plain)
2015-09-13 13:17 EDT, David Dillow
no flags Details
dmesg from kernel-4.1.6-201.fc22.x86_64, mesa-10.6.3-2.20150729.fc22 (72.95 KB, text/plain)
2015-09-13 13:19 EDT, David Dillow
no flags Details
Failing dmesg from kernel-4.1.7-200.fc22.x86_64 (81.53 KB, text/plain)
2015-09-22 23:02 EDT, David Dillow
no flags Details
dmesg from kernel-4.2.6-301.fc23.x86_64 (74.36 KB, text/plain)
2015-11-27 22:20 EST, David Dillow
no flags Details
dmesg from kernel-4.8.10-300.fc25.x86_64 (74.60 KB, text/plain)
2016-12-03 01:37 EST, David Dillow
no flags Details

  None (edit)
Description David Dillow 2015-08-18 21:52:20 EDT
Created attachment 1064589 [details]
dmesg from failed start of Chrome

Description of problem:
Starting Chrome on Fedora 22, X locks up shortly after starting the application.

Version-Release number of selected component (if applicable):
kernel-4.1.3-201.fc22.x86_64 and kernel-4.1.4-200.fc22.x86_64 (both have problem)
xorg-x11-drv-nouveau-1.0.11-2.fc22.x86_64
xorg-x11-server-Xwayland-1.17.2-2.fc22.x86_64
mesa-dri-drivers-10.6.3-1.20150729.fc22.x86_64
google-chrome-stable-44.0.2403.155-1.x86_64

How reproducible:
100% -- every time I try it.

Steps to Reproduce:
1. Start Xwayland (normal boot)
2. Start Chrome
3. Wait a few seconds, usually before the canvas paints

Actual results:
Logs PFIFO/PGRAPH write fault at 0x00002c2000 [PTE] from GR/GPC1/PROP_0 on channel 0x023fb16000
Xwayland locks up

Expected results:
Browser window is usable


Additional info:
There is also a PDISP error dump in the dmesg from earlier in the boot; maybe related?
Comment 1 David Dillow 2015-08-18 21:55:52 EDT
May be a duplicate of 1253402.
Comment 2 David Dillow 2015-08-20 23:37:27 EDT
Created attachment 1065434 [details]
Updated dmesg from kernel-4.1.5-200.fc22.x86_64
Comment 3 David Dillow 2015-08-20 23:38:01 EDT
Still occurs in kernel-4.1.5-200.fc22.x86_64, with additional error info:

[  172.289866] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x00002c4000 [PTE] from GR/GPC2/T1_0 on channel 0x023fb16000 [systemd-logind[781]]
[  172.289869] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 5, recovering...
[  172.289877] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[781]]
[  172.289884] nouveau E[  PGRAPH][0000:01:00.0] GPC1/TPC0/TEX: 0x80000049
[  172.289888] nouveau E[  PGRAPH][0000:01:00.0] GPC1/TPC1/TEX: 0x80000049
[  172.289894] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/TEX: 0x80000049
[  172.289898] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC1/TEX: 0x80000049
Comment 4 David Dillow 2015-08-27 00:08:03 EDT
Created attachment 1067490 [details]
Updated dmesg from kernel-4.1.6-200.fc22.x86_64

Still occurs in kernel-4.1.6-200.fc22.x86_64, but Chrome made it farther -- I was able to browse a few pages before Xwayland locked up.

[  210.776462] nouveau E[   PFIFO][0000:01:00.0] write fault at 0x00002b7000 [PTE] from GR/GPC0/PROP_0 on channel 0x023fb16000 [systemd-logind[746]]
[  210.776465] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 5, recovering...
Comment 5 David Dillow 2015-09-13 13:17:14 EDT
Created attachment 1072971 [details]
dmesg from kernel-4.1.6-201.fc22.x86_64, pre-10.6.3-2.20150729 mesa

Same reproducer -- start chrome browse the web for a short time. This is from before updating mesa to 10.6.3-2.20150729; after has different errors I'll upload next.

[  632.060570] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 9 [0x023f566000 chrome[2809]]
[  632.060580] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/MP trap: MULTIPLE_WARP_ERRORS GPR_OUT_OF_BOUNDS
[  633.626693] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 9 [0x023f566000 chrome[2809]]
[  633.626702] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/MP trap: MULTIPLE_WARP_ERRORS GPR_OUT_OF_BOUNDS
[  633.653137] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 9 [0x023f566000 chrome[2809]]
[  633.653146] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/MP trap: MULTIPLE_WARP_ERRORS GPR_OUT_OF_BOUNDS
[  633.653386] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 9 [0x023f566000 chrome[2809]]
[  633.653394] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/MP trap: MULTIPLE_WARP_ERRORS GPR_OUT_OF_BOUNDS
[  633.662018] nouveau E[   PFIFO][0000:01:00.0] read fault at 0xfd77877000 [PDE] from GR/GPC2/GCC on channel 0x023f656000 [gnome-shell[2304]]
[  633.662021] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 8, recovering...
Comment 6 David Dillow 2015-09-13 13:19:36 EDT
Created attachment 1072972 [details]
dmesg from kernel-4.1.6-201.fc22.x86_64, mesa-10.6.3-2.20150729.fc22

After updating the mesa libs to the latest version.

mesa-libwayland-egl-10.6.3-2.20150729.fc22.x86_64
kernel-4.1.6-201.fc22.x86_64

I think these came from when I first started chrome:

[  172.602403] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[741]]
[  172.602413] nouveau E[  PGRAPH][0000:01:00.0] GPC0/PROP trap: (unknown enum 0x00000009)
[  172.602416] nouveau E[  PGRAPH][0000:01:00.0] x = 560, y = 128, format = 0, storage type = 0
[  172.602431] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[741]]
[  172.602441] nouveau E[  PGRAPH][0000:01:00.0] GPC0/PROP trap: (unknown enum 0x00000009)
[  172.602442] nouveau E[  PGRAPH][0000:01:00.0] x = 560, y = 232, format = 0, storage type = 0

Then I browsed for a while and the server locked up with the following:

[  612.854458] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x00002c0000 [PTE] from GR/GPC0/T1_0 on channel 0x023fb16000 [systemd-logind[741]]
[  612.854462] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 5, recovering...
[  612.854472] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[741]]
[  612.854478] nouveau E[  PGRAPH][0000:01:00.0] GPC0/TPC0/TEX: 0x80000049
[  612.854483] nouveau E[  PGRAPH][0000:01:00.0] GPC1/TPC0/TEX: 0x80000009
[  612.854488] nouveau E[  PGRAPH][0000:01:00.0] GPC1/TPC1/TEX: 0x80000009
[  612.854493] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC0/TEX: 0x80000009
[  612.854498] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TPC1/TEX: 0x80000009
Comment 7 David Dillow 2015-09-22 23:02 EDT
Created attachment 1076071 [details]
Failing dmesg from kernel-4.1.7-200.fc22.x86_64

Updated everything this evening, tried again. New message signature:

[  262.807414] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[728]]
[  262.807424] nouveau E[  PGRAPH][0000:01:00.0] GPC0/PROP trap: (unknown enum 0x00000009)
[  262.807427] nouveau E[  PGRAPH][0000:01:00.0] x = 560, y = 138, format = 0, storage type = 0
[  262.807439] nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023fb16000 systemd-logind[728]]
[  262.807447] nouveau E[  PGRAPH][0000:01:00.0] GPC0/PROP trap: (unknown enum 0x00000009)
[  262.807449] nouveau E[  PGRAPH][0000:01:00.0] x = 560, y = 192, format = 0, storage type = 0

Eventually fails with:
[  299.792024] nouveau E[   PFIFO][0000:01:00.0] SCHED_ERROR [ CTXSW_TIMEOUT ]
[  299.792028] nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 8, recovering...
Comment 8 David Dillow 2015-11-27 22:20 EST
Created attachment 1099811 [details]
dmesg from kernel-4.2.6-301.fc23.x86_64

Moving to F23, kernel 4.2.6-301.fc23.x86_64; still failing with Chrome.
Comment 9 Fedora End Of Life 2016-11-24 07:20:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 David Dillow 2016-12-03 01:36:43 EST
Still locking up on 25 (kernel-4.8.10-300.fc25.x86_64), just from starting up Evolution now. My desktop is unusable because of this.


[ 1408.203719] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203729] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 2000e [OOR_ADDR]
[ 1408.203737] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 1000e [OOR_ADDR]
[ 1408.203743] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 1000e [OOR_ADDR]
[ 1408.203748] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203752] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203756] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.203779] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203786] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3000e [OOR_ADDR]
[ 1408.203793] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 6000e [OOR_ADDR]
[ 1408.203799] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3000e [OOR_ADDR]
[ 1408.203804] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203808] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203812] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.203822] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203832] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 5000e [OOR_ADDR]
[ 1408.203844] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 5000e [OOR_ADDR]
[ 1408.203849] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 2000e [OOR_ADDR]
[ 1408.203854] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203858] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203862] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.203873] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203880] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.203887] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.203893] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp e000e [OOR_ADDR]
[ 1408.203898] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203902] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203906] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.203916] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203923] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 2000e [OOR_ADDR]
[ 1408.203930] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 5000e [OOR_ADDR]
[ 1408.203936] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp c000e [OOR_ADDR]
[ 1408.203941] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203945] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203949] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.203959] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.203966] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.203973] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp d000e [OOR_ADDR]
[ 1408.203979] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp a000e [OOR_ADDR]
[ 1408.203984] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.203988] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.203992] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.204002] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.204009] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 6000e [OOR_ADDR]
[ 1408.204017] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp d000e [OOR_ADDR]
[ 1408.204022] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 1000e [OOR_ADDR]
[ 1408.204027] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.204031] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.204035] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.204045] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.204052] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 6000e [OOR_ADDR]
[ 1408.204060] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3000e [OOR_ADDR]
[ 1408.204065] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp c000e [OOR_ADDR]
[ 1408.204071] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.204074] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.204078] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.204088] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.204095] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.204103] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.204108] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 6000e [OOR_ADDR]
[ 1408.204113] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[ 1408.204117] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[ 1408.204121] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[ 1408.204131] nouveau 0000:01:00.0: gr: TRAP ch 6 [023fb18000 systemd-logind[838]]
[ 1408.204138] nouveau 0000:01:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.204146] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 000e [OOR_ADDR]
[ 1408.204151] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 7000e [OOR_ADDR]
[ 1412.508343] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[ 1412.508349] nouveau 0000:01:00.0: fifo: gr engine fault on channel 11, recovering...
Comment 11 David Dillow 2016-12-03 01:37 EST
Created attachment 1227548 [details]
dmesg from kernel-4.8.10-300.fc25.x86_64
Comment 12 Fedora End Of Life 2017-11-16 14:53:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2017-12-12 05:04:33 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.